PDF Patcher 2 updated to close PDF vulnerability [jailbreak]

Apple left  iOS 4.3.3 vulnerable to a PDF exploit, which allows JailbreakMe.com to jailbreak your iPhone. This takes place over the air via the Safari mobile browser. The good news is that you can close this hole very easily, once you have jailbroken your device. Just Jailbreak and then search Cydia for PDF Patcher 2 v1.0, this little tweak will make you secure from any potentially malicious hacks using the same hole as JailbreakMe.

Remember, In the wrong hands, this vulnerability could allow access to your device for other, more nefarious reasons. No doubt Apple will soon release an iOS update (4.3.4?) which will close this vulnerability for non-jailbroken devices but in the mean time this tweak, being jailbroken will allow you to be more secure than normal!

[Cydia link]

 

chrisoldroyd

UK editor at iMore, mobile technology lover and air conditioning design engineer.

More Posts

 

1
loading...
0
loading...
0
loading...
0
loading...

← Previously

JailbreakMe now available, jailbreak the iPad 2, iPad, iPhone and iPod touch on iOS 4.3.3

Next up →

Daily Tip: How to Jailbreak iOS 4.3.3 via JailbreakMe (including iPad 2)

There are 3 comments. Add yours.

p2kart says:

FYI if you patch, and go back to jailbreakme.com and try to rerun the JB, Safari wont crash and you will get an error message... That way you know you patched correctly...

El Hache says:

If I'm already jailbroken with redsnow 4.3.3 do I need to use this patch?

Davinder singh says:

baseband 4.10.01 can be unlocked using cydia